<?php defined('ABSPATH') || exit;
/*
 *
 */

$field_gallery_columns = (int)JKD_Helper::get_field('field_gallery_columns');

$field_gallery_offset = (int)JKD_Helper::get_field('field_gallery_offset');

$field_gallery_grid_type = JKD_Helper::get_field('field_gallery_grid_type');

$image_id = $atts['image_id'];

?>

    <figure class="grid-item <?php if(!empty($atts['hidden']) && $atts['hidden']): ?>hidden-item<?php endif; ?>" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject"
            style="max-width: <?php echo esc_attr(100 / $field_gallery_columns); ?>%; padding: <?php echo esc_attr($field_gallery_offset); ?>px; ">

        <a class="item-inner" itemprop="contentUrl" data-size="600x400"
           href="<?php echo esc_url(wp_get_attachment_image_url($image_id, 'large')); ?>">

            <?php

            if ($field_gallery_grid_type === 'fitRows'):

                echo JKD_Theme::render_image($image_id,
                    'jk-square-size-large');

            elseif ($field_gallery_grid_type === 'masonry'):

                echo JKD_Theme::render_image($image_id,
                    'large');

            endif;

            ?>

        </a>

    </figure>

<?php
