<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_reset_postdata();

?>

    <!-- body -->
<body

    <?php
    /*
 * *************************************************************************
 *  * Copyright (C) JK-Studio, Inc - All Rights Reserved
 *  *
 *  * @file        loop-start.php
 *  * @author      Alexander Poslushnyak
 *  * @website     https://jk-studio-dev.com/
 *  * @date        18/09/2021, 01:10
 *
 */

    $total_ajaxify = get_theme_mod('general-total-ajaxify-toggle', '0');

    $rtl = get_theme_mod('general-rtl-toggle', false);

    if (!empty($_GET['rtl'])):

        $rtl = $_GET['rtl'];

    endif;

    $nav_type = get_theme_mod('nav-type', 'default');

    if (!empty(JKD_Helper::get_field('field_navigation_type'))):

        $nav_type = JKD_Helper::get_field('field_navigation_type');

    endif;

    if (!empty($_GET['nav_type'])):

        $nav_type = $_GET['nav_type'];

    endif;

    $id = get_the_ID();

    $cpage = get_query_var('cpage') ? get_query_var('cpage') : 1;

    if (class_exists('Woocommerce') && is_shop() || class_exists('Woocommerce') && is_product_taxonomy()):

        $id = wc_get_page_id('shop');

    endif;

    $page_header_toggle = JKD_Helper::get_field('field_page_header', $id);

    if (!empty(JKD_Helper::get_field('field_page_header_style', $id))):

        $page_header_style = JKD_Helper::get_field('field_page_header_style', $id);

    endif;

    if (is_post_type_archive('portfolio') || is_tax('portfolio-categories') || is_tax('portfolio-tags')):

        $page_header_toggle = get_theme_mod('page-header-portfolio-toggle', 1);

        $page_header_style = get_theme_mod('page-header-portfolio-style', 'default');

    endif;

    if (function_exists('tribe_is_not_min_php_version') && tribe_is_event_query()):

        $page_header_toggle = get_theme_mod('page-header-events-toggle', 1);

        $page_header_style = get_theme_mod('page-header-events-style', 'default');

    endif;

    if (!empty($_GET['page_header']) && $_GET['page_header'] === 'on'):

        $page_header_toggle = true;

    endif;

    if (!empty($_GET['page_header']) && $_GET['page_header'] === 'off'):

        $page_header_toggle = false;

    endif;

    if (!empty($_GET['page_header_style'])):

        $page_header_style = $_GET['page_header_style'];

    endif;

    /* empty classes array */
    $classes = array();

    $navigation_toggle = JKD_Helper::get_field('field_navigation', get_the_ID());

    if (!empty($_GET['navigation']) && $_GET['navigation'] === 'on'):

        $navigation_toggle = true;

    endif;

    if (!empty($_GET['navigation']) && $_GET['navigation'] === 'off'):

        $navigation_toggle = false;

    endif;

    if ($navigation_toggle):

        array_push($classes, 'global-navigation-' . $nav_type);

    endif;

    if ($page_header_toggle):

        array_push($classes, 'page-header-enabled');

    endif;

    if (!empty($page_header_style)):

        array_push($classes, 'global-page-header-style-' . $page_header_style);

    endif;

    if ($rtl):

        array_push($classes, 'rtl-enabled');

    endif;

    if ($total_ajaxify):

        array_push($classes, 'total-ajaxify');

    endif;

    if (class_exists('JKD_Core')):

        $default_color_scheme = get_theme_mod('default-color-scheme', 'default');

        $auto_detection = get_theme_mod('auto-detection-color-scheme-toggle', 1);

        $ip = JKD_Helper::get_ip_address();

        if (!empty(get_transient('color_scheme_for_' . $ip))):

            $default_color_scheme = get_transient('color_scheme_for_' . $ip);

        endif;

        if (!empty($_GET['color_scheme'])):

            $default_color_scheme = $_GET['color_scheme'];

        endif;

        if ($auto_detection):

            array_push($classes, 'auto-detect-scheme');

        endif;

        if (empty($default_color_scheme)):

            $default_color_scheme = 'default';

        else:

            array_push($classes, 'user-color-trigger');

        endif;

        ?>

        data-color-scheme="<?php echo esc_attr($default_color_scheme); ?>"

    <?php

    endif;

    $classes = implode(' ', $classes);

    ?>

        data-page-id="<?php echo esc_attr(get_the_ID()); ?>"

    <?php if (!empty($cpage)): ?>

        data-comments-page="<?php echo esc_attr($cpage); ?>"

    <?php endif; ?>

    <?php

    /* body_class */
    body_class($classes);

    ?>>

<?php

/* wp_body_open */
wp_body_open();

$post = get_post();

$custom_page_template = JKD_Helper::get_field('field_page_template_type');

$search_form_toggle = get_theme_mod('search-form-toggle', 1);

if ($search_form_toggle):

    $search_form_toggle = JKD_Helper::get_field('field_search_form_toggle');

endif;

if (!empty($_GET['search_form']) && $_GET['search_form'] === 'on'):

    $search_form_toggle = true;

endif;

if (!empty($_GET['search_form']) && $_GET['search_form'] === 'off'):

    $search_form_toggle = false;

endif;

$account_toggle = get_theme_mod('authorization-modal-toggle', '1');

$newsletter_form_toggle = get_theme_mod('newsletter-form-toggle', '1');

$navigation_toggle = get_theme_mod('navigation-toggle', '1');

if ($custom_page_template === 'images-gallery'):

    JKD_Core::template('other/pswp');

endif;

if ($search_form_toggle):

    JKD_Core::template('other/search-form');

endif;

if ($account_toggle):

    JKD_Core::template('other/authorization');

endif;

if ($newsletter_form_toggle):

    JKD_Core::template('other/newsletter');

endif;

JKD_Core::template('other/page-overlay');

JKD_Core::template('other/cursor');

JKD_Core::template('other/scroll-top-button');

JKD_Core::template('other/page-progress-bar');

JKD_Core::template('other/fixed-social-list');

if ($navigation_toggle):

    JKD_Core::template('navigation/navigation');

endif;

if (class_exists('WooCommerce') && is_shop() || class_exists('WooCommerce') && is_product_taxonomy()):

    $shop_filter_sidebar = get_theme_mod('shop-filter-sidebar', 1);

    if (!empty($_GET['shop_filter'])):

        $shop_filter_sidebar = $_GET['shop_filter'];

    endif;

    if ($shop_filter_sidebar):

        $shop_filter_sidebar_type = get_theme_mod('shop-filter-sidebar-type', 'fixed');

        if (!empty($_GET['filter_type'])):

            $shop_filter_sidebar_type = $_GET['filter_type'];

        endif;

        if ($shop_filter_sidebar_type === 'fixed'):

            JKD_Core::template('shop/fixed-filter-sidebar');

        endif;

    endif;

endif;

$main_classes = array();

if (get_theme_mod('general-tooltips-toggle', true)):

    array_push($main_classes, 'tooltips-enabled');

endif;

$main_classes = implode(' ', $main_classes);

?>

    <!-- main wrapper -->
<main class="main-wrapper <?php echo esc_attr($main_classes); ?>">

<?php

$before_sections = get_theme_mod('before-content-sections');

$field_before_content_toggle = JKD_Helper::get_field('field_before_content_toggle', $id);

if (!empty($before_sections)
    && function_exists('elementor_load_plugin_textdomain')
    && $field_before_content_toggle
    && !is_404()
    && !empty($post->ID)
    && ((\Elementor\Plugin::$instance->documents->get($post->ID)->is_built_with_elementor() || is_archive() || is_single())
        || (class_exists('WooCommerce') && (is_product() || is_woocommerce() || is_shop() || is_checkout() || is_cart())))):

    foreach ($before_sections as $section):

        $template = $section['template'];

        echo Elementor\Plugin::$instance->frontend->get_builder_content($template);

    endforeach;

endif;

JKD_Core::template('page/page-header');

if (function_exists('tribe_is_not_min_php_version') && tribe_is_event_query()):

    ?>

    <div class="jkd-tribe-wrapper container">

        <div class=" inner-wrapper">

<?php

endif;

wp_reset_postdata();
