<?php defined('ABSPATH') || exit;
/*
 *
 */

$progress_bar_toggle = get_theme_mod('page-progress-bar-toggle', 1);

if ($progress_bar_toggle):

    $progress_bar_toggle = JKD_Helper::get_field('field_page_progressbar_toggle');

endif;

wp_enqueue_script(JKD_Core::$prefix . 'page-progress-bar');

wp_enqueue_style(JKD_Core::$prefix . 'page-progress-bar');

if ($progress_bar_toggle):

    ?>

    <div class="page-progress-bar">

        <p class="bar-title">

            <?php echo esc_html__('Scroll Down.','jkd-core'); ?>

        </p>

        <div class="progress-bar">

            <div class="progress">

                <span class="percentage">

                    <?php esc_html('0%'); ?>

                </span>

            </div>

        </div>

    </div>

<?php endif; ?>
