<?php defined('ABSPATH') || exit;
/*
 *
 */

/* reset postdata */
wp_reset_postdata();

wp_enqueue_script(JKD_Core::$prefix . 'blog');

wp_enqueue_style(JKD_Core::$prefix . 'blog');

global $wp_query;

$results_count = $wp_query->found_posts;

$pagination_toggle = get_theme_mod('blog-pagination', '1');

if (!empty($_GET['pagination']) && $_GET['pagination'] === 'on'):

    $pagination_toggle = true;

endif;

if (!empty($_GET['pagination']) && $_GET['pagination'] === 'off'):

    $pagination_toggle = false;

endif;

$blog_type = get_theme_mod('blog-type', 'classic');

if (!empty($_GET['blog_type'])):

    $blog_type = $_GET['blog_type'];

endif;

$atts = array();

$posts_per_page = get_option('posts_per_page');

if (is_search()):

    $blog_type = 'grid';

endif;

?>

    <!-- blog wrapper -->
    <div class="blog-wrapper <?php echo esc_attr('blog-' . $blog_type . '-wrapper'); ?>">

        <!-- inner wrapper -->
        <div class="inner-wrapper">

            <?php if ($results_count === 0):

                JKD_Core::template('blog/not-found');

            else:

                /* wrapper render */
                JKD_Core::template('blog/' . $blog_type . '/wrapper');

                if ($pagination_toggle):

                    /* pagination render */
                    JKD_Core::template('blog/pagination', $atts);

                endif;

            endif;

            ?>

        </div>

    </div>

<?php

/* reset postdata */
wp_reset_postdata();
