<?php defined('ABSPATH') || exit;
/*
 *
 */

$sidebar_toggle = get_theme_mod('blog-sidebar', 1);

if (!empty($_GET['sidebar']) && $_GET['sidebar'] === 'on'):

    $sidebar_toggle = true;

endif;

if (!empty($_GET['sidebar']) && $_GET['sidebar'] === 'off'):

    $sidebar_toggle = false;

endif;

$sidebar_alignment = get_theme_mod('blog-sidebar-alignment', 'left');

$count = 0;

if (!empty($_GET['sidebar_alignment'])):

    $sidebar_alignment = $_GET['sidebar_alignment'];

endif;

?>

<div class="blog-classic container <?php if (is_active_sidebar('blog-sidebar') && $sidebar_toggle): ?> sidebar-enabled <?php endif; ?>">

    <div class="loop-inner">

        <?php

        if (have_posts()) :

        while (have_posts()) :the_post();

            $count++;

            $banner_toggle = get_theme_mod('blog-banner-toggle', 1);

            $banner_alignment = get_theme_mod('blog-banner-alignment', 'top');

            if (!empty($_GET['banner'])):

                $banner_toggle = $_GET['banner'];

            endif;

            if ($banner_toggle):

                if (($count === 3 && $banner_alignment === 'top')
                    || $count === 6 + 1 && $banner_alignment === 'bottom'):

                    JKD_Core::template('blog/banner');

                endif;

            endif;

            /* item render */
            JKD_Core::template('blog/classic/item');

        endwhile;

        ?>

    </div>

    <?php

    endif;

    if (is_active_sidebar('blog-sidebar') && $sidebar_toggle): ?>

        <aside class="sidebar <?php echo esc_attr('sidebar-' . $sidebar_alignment); ?>">

            <?php

            dynamic_sidebar('blog-sidebar');

            ?>

        </aside>

    <?php endif; ?>

</div>
