<?php defined('ABSPATH') || exit;
/*
 *
 */

$categories = get_categories();

if (!empty($categories)):

    ?>

    <div class="blog-filter">

        <ul class="categories-list">

            <li class="category">

                <a href="<?php echo esc_url(get_permalink(get_option('page_for_posts'))); ?>"
                   class="<?php if (!is_category()): ?>active<?php endif; ?>">

                    <?php echo esc_html__('All', 'jkd-core'); ?>

                </a>

            </li>

            <?php foreach ($categories as $category): ?>

                <li class="category">

                    <a href="<?php echo esc_url(get_term_link($category->term_id)) ?>"
                       class="<?php if (is_category($category->term_id)): ?>active<?php endif; ?>">

                        <?php echo esc_html($category->name); ?>

                    </a>

                </li>

            <?php endforeach; ?>

        </ul>

    </div>

<?php endif; ?>
