<?php defined('ABSPATH') || exit;
/*
 *
 */

$counter = 0;

wp_enqueue_script(JKD_Core::$prefix . 'curtains');

wp_enqueue_script(JKD_Core::$prefix . 'blog-shader');

JKD_Core::template('other/shaders/blog-shader');

?>

<!-- articles textures -->
<div id="articles-textures">

    <!-- articles canvas -->
    <div id="articles-canvas"></div>

    <!-- articles plane -->
    <div class="articles-plane">

        <!-- plane texture -->
        <img data-sampler="texture0" alt="<?php echo esc_html__('webgl plane', 'jkd-core'); ?>"
             crossorigin="anonymous"/>

        <?php

        /* blog loop */
        if (have_posts()) : while (have_posts()) :the_post();

            $counter++;

            $image_id = get_post_thumbnail_id(get_the_ID());

            if (!empty($image_id)):

                echo JKD_Theme::render_image($image_id,
                    'jk-wide-size-small');

            endif;

            /* counter increment */
            $counter++;

        endwhile;

        endif;

        ?>

    </div>

</div>

<!-- blog list -->
<div class="reveal-blog container">

    <!-- hidden post article -->
    <article class="post-article hidden-article"></article>

    <?php

    /* blog query */
    if (have_posts()) : while (have_posts()) :the_post();

        /* item render */
        JKD_Core::template('blog/reveal/item');

    endwhile;

    endif;

    /* reset postdata */
    wp_reset_postdata();

    ?>

</div>
