<?php defined('ABSPATH') || exit;
/*
 *
 */

$counter = $atts['counter'];

$title = get_the_title();

$category = get_the_terms(get_the_ID(), 'portfolio-categories');

$date = get_the_date();

$excerpt = get_the_excerpt();

?>

    <div class="swiper-slide">

        <div class="image-wrapper"
             style="background-image: url('<?php the_post_thumbnail_url('jk-square-size-large'); ?>')">

        </div>

        <div class="content-wrapper">

            <div class="inner-content">

                <div class="meta-wrapper">

                    <a class="category"
                       href="<?php echo esc_url(get_term_link($category[0]->term_id)); ?>">

                <span>

                        <?php echo esc_html__('In ','jkd-core' ). $category[0]->name; ?>

                </span>

                    </a>

                    <p class="date">

                  <span>

                        <?php echo esc_html($date); ?>

                  </span>

                    </p>

                </div>

                <h1 class="post-title">

                    <a href="<?php the_permalink(); ?>" class="multiline-hover">

                        <?php echo esc_html(wp_trim_words($title, 10, '...')) ?>

                    </a>

                </h1>

                <div class="read-more-wrapper">

                    <a href="<?php the_permalink(); ?>"
                       class="jkd-button white-border-style animation-fill size-large">

                        <?php echo esc_html__('Explore Project', 'jkd-core'); ?>

                        <?php

                        $rtl = get_theme_mod('general-rtl-toggle', false);

                        if (!empty($_GET['rtl'])):

                            $rtl = $_GET['rtl'];

                        endif;

                        if ($rtl):

                            ?>

                            <i class="ri-arrow-left-line right-icon"></i>

                        <?php

                        else:

                            ?>

                            <i class="ri-arrow-right-line right-icon"></i>

                        <?php

                        endif;

                        ?>

                    </a>

                </div>

            </div>

        </div>

    </div>

<?php
