<?php defined('ABSPATH') || exit;
/*
 *
 */

$title = get_the_title();

$category = get_the_terms(get_the_ID(), 'portfolio-categories');

$date = get_the_date();

$counter = $atts['counter'];

?>

<li class="list-item">

    <a href="<?php the_permalink(); ?>">

       <div class="overflow-wrapper">

           <div class="item-inner">

                <span class="post-counter">

                    <?php

                    if ($counter < 10):

                        echo esc_html('0' . $counter);

                    else:

                        echo esc_html($counter);

                    endif;

                    ?>

                </span>

               <h6 class="item-title">

                   <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

               </h6>

               <p class="category">

                   <?php echo esc_html($category[0]->slug); ?>

               </p>

               <span class="arrow-right">

                   <?php

                   $rtl = get_theme_mod('general-rtl-toggle', false);

                   if (!empty($_GET['rtl'])):

                       $rtl = $_GET['rtl'];

                   endif;

                   if ($rtl):

                       ?>

                       <i class="ri-arrow-left-line"></i>

                   <?php

                   else:

                       ?>

                       <i class="ri-arrow-right-line"></i>

                   <?php

                   endif;

                   ?>

               </span>

           </div>

       </div>

    </a>

</li>
