<?php defined('ABSPATH') || exit;
/*
 *
 */

$title = get_the_title();

$excerpt = get_the_excerpt();

$category = get_the_terms(get_the_ID(), 'portfolio-categories');

$date = get_the_date();

$counter = $atts['counter'];

$max = $atts['max'];

?>

<div class="swiper-slide">

    <div class="background-overlay-wrapper">

        <div class="background-overlay"
             style="background-image: url(<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'full')) ?>)">

        </div>

        <div class="image-overlay">

        </div>

    </div>

    <div class="content-overlay">

        <span class="slide-index">

 <?php if ($counter < 10): ?>

     <?php echo esc_html('0' . $counter); ?>

 <?php else: ?>

     <?php echo esc_html($counter); ?>

 <?php endif; ?>

        </span>

        <a href="<?php echo esc_url(get_term_link($category[0]->term_id)) ?>" class="category">

            <?php echo esc_html($category[0]->name); ?>

        </a>

        <h4 class="project-title">

            <a href="<?php the_permalink(); ?>" class="multiline-hover white-hover">

                <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

            </a>

        </h4>

    </div>

</div>
