<?php defined('ABSPATH') || exit;
/*
 *
 */

$title = get_the_title();

$excerpt = get_the_excerpt();

$category = get_the_terms(get_the_ID(), 'portfolio-categories');

$date = get_the_date();

$counter = $atts['counter'];

$max = $atts['max'];

?>

<li class="list-item">

    <h1 class="title extra-h1">

        <a href="<?php echo esc_url(get_permalink()); ?>" class="multiline-hover white-hover">

            <?php echo esc_html(wp_trim_words($title, 10, '...')); ?>

            <span class="index">

           <?php if ($counter < 10): ?>

               <?php echo esc_html('0' . $counter); ?>

           <?php else: ?>

               <?php echo esc_html($counter); ?>

           <?php endif; ?>

            </span>

        </a>

    </h1>

</li>
