<?php defined('ABSPATH') || exit;
/*
 *
 */

$title = get_the_title();

$category = get_the_terms(get_the_ID(), 'portfolio-categories');

$image_id = get_post_thumbnail_id(get_the_ID());

$counter = $atts['counter'];

?>

<div class="grid-item <?php echo esc_attr($category[0]->slug); ?>">

    <div class="item-inner">

        <a href="<?php the_permalink(); ?>" class="link-overlay"></a>

        <div class="thumbnail-wrapper">

            <?php

            $image_id = get_post_thumbnail_id(get_the_ID());

            if (!empty($image_id)):

                echo JKD_Theme::render_image($image_id,
                    'jk-square-size-extra-small');

            endif;

            ?>

        </div>

        <div class="description-wrapper">

            <h6 class="post-title">

                <?php echo esc_html($title); ?>

            </h6>

            <a href="<?php echo esc_url(get_term_link($category[0]->term_id)) ?>" class="post-category">

                <?php echo esc_html($category[0]->slug); ?>

            </a>

            <i class="ri-arrow-right-down-line icon-desc"></i>

        </div>

    </div>

</div>
