<?php defined('ABSPATH') || exit;
/*
 *
 */

wp_enqueue_script(JKD_Core::$prefix . 'scroll-to-plugin');

wp_enqueue_script(JKD_Core::$prefix . 'scroll-top-button');

wp_enqueue_style(JKD_Core::$prefix . 'scroll-top-button');

$scroll_top_button_toggle = get_theme_mod('scroll-top-button-toggle', 1);

if ($scroll_top_button_toggle):

    $scroll_top_button_toggle = JKD_Helper::get_field('field_scroll_top_button_toggle');

endif;

if ($scroll_top_button_toggle):

    ?>

    <button class="scroll-top-button">

        <i class="ri-arrow-up-line"></i>

        <span class="top-title">

            <?php echo esc_html__('top', 'jkd-core'); ?>

        </span>

    </button>

<?php

endif;
